Bouncy Castle Cryptography Library 1.45

## org.bouncycastle.crypto.generators
Class GOST3410KeyPairGenerator

    java.lang.Object
      org.bouncycastle.crypto.generators.GOST3410KeyPairGenerator

All Implemented Interfaces:
  AsymmetricCipherKeyPairGenerator

    public class GOST3410KeyPairGenerator

extends java.lang.Object
implements AsymmetricCipherKeyPairGenerator

a GOST3410 key pair generator. This generates GOST3410 keys in line with the method described in GOST R 34.10-94.

Constructor Summary
`GOST3410KeyPairGenerator()`

Method Summary
`AsymmetricCipherKeyPair` `generateKeyPair()` return an AsymmetricCipherKeyPair containing the generated keys.
`void` `init(KeyGenerationParameters param)` intialise the key pair generator.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GOST3410KeyPairGenerator

    public GOST3410KeyPairGenerator()

Method Detail

### init

    public void init(KeyGenerationParameters param)

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  intialise the key pair generator.

  Specified by:
    `init` in interface `AsymmetricCipherKeyPairGenerator`
  Parameters:
    `param` - the parameters the key pair is to be initialised with.

### generateKeyPair

    public AsymmetricCipherKeyPair generateKeyPair()

  Description copied from interface: `AsymmetricCipherKeyPairGenerator`
  return an AsymmetricCipherKeyPair containing the generated keys.

  Specified by:
    `generateKeyPair` in interface `AsymmetricCipherKeyPairGenerator`
  Returns:
    an AsymmetricCipherKeyPair containing the generated keys.

Bouncy Castle Cryptography Library 1.45